%define major	2
%define	libname	%mklibname soundio %{major}
%define	devel	%mklibname soundio -d

Name:		libsoundio
Version:	2.0.0
Release:	%mkrel 3
Summary:	C library for cross-platform real-time audio input and output
Group:		Sound/Utilities
License:	MIT
URL:		http://libsound.io/
Source0:	https://github.com/andrewrk/libsoundio/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libpulse)

%description
C library providing cross-platform audio input and output. The API is suitable
for real-time software such as digital audio workstations as well as consumer
software such as music players.

This library is an abstraction; however in the delicate balance between
performance and power, and API convenience, the scale is tipped closer to the
former. Features that only exist in some sound backends are exposed.


%package -n	%{libname}
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libsoundio-%{_lib}soundio1 < 1.1.0-2

%description -n	%{libname}
This package contains the library files for %{name}

%package -n	%{devel}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	soundio-devel = %{version}-%{release}
Obsoletes:	libsoundio-%{_lib}soundio-devel < 1.1.0-2
Obsoletes:	libsoundio-%{_lib}soundio-static-devel < 1.1.0-2

%description -n	%{devel}
The %{devel} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%doc LICENSE README.md
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devel}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 2.0.0-3.mga9
+ Revision: 1824212
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 daviddavid <daviddavid> 2.0.0-2.mga8
+ Revision: 1538649
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Nov 18 2019 daviddavid <daviddavid> 2.0.0-1.mga8
+ Revision: 1461614
- new version: 2.0.0
- now libmajor is 2

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-3.mga7
+ Revision: 1299159
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 daviddavid <daviddavid> 1.1.0-2.mga7
+ Revision: 1233807
- fix lib and devel pkg names
- use our cmake build flags
- disable static libraries

* Tue Nov 14 2017 shlomif <shlomif> 1.1.0-1.mga7
+ Revision: 1177393
- import from kekePower - thanks

